| OrbbecSDK 1.10.18 OrbbecSDK: Software-Development-Kit for Orbbec 3D Cameras

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ob::DecompressionFilter Class Reference

The DecompressionFilter class is a subclass of Filter that performs decompression. More...

`#include <Filter.hpp>`

Inheritance diagram for ob::DecompressionFilter:

## Public Member Functions
| DecompressionFilter ()
Public Member Functions inherited from ob::Filter
| Filter ()
| Filter (std::shared_ptr< FilterImpl > impl)
virtual | ~Filter ()=default
virtual void | reset ()
| ReSet the filter, freeing the internal cache, stopping the processing thread, and clearing the pending buffer frame when asynchronous processing is used.
void | enable (bool enable)
| enable the filter
bool | isEnabled ()
| Return Enable State.
virtual std::shared_ptr< Frame > | process (std::shared_ptr< Frame > frame)
| Processes a frame synchronously.
virtual void | pushFrame (std::shared_ptr< Frame > frame)
| Pushes the pending frame into the cache for asynchronous processing.
virtual void | setCallBack (FilterCallback callback)
| Set the callback function for asynchronous processing.
virtual const char * | type ()
| Get the type of filter.
template<typename T >
bool | is ()
| Check if the runtime type of the filter object is compatible with a given type.
template<typename T >
std::shared_ptr< T > | as ()
| Convert the filter object to a target type.

## Additional Inherited Members
Protected Attributes inherited from ob::Filter
std::shared_ptr< FilterImpl > | impl_
std::string | type_

## Detailed Description

The DecompressionFilter class is a subclass of Filter that performs decompression.

Definition at line 196 of file Filter.hpp.

## Constructor & Destructor Documentation

## ◆ DecompressionFilter()

ob::DecompressionFilter::DecompressionFilter | ( |  | ) |

The documentation for this class was generated from the following file:

- E:/Projects/Jenkins/workspace/OrbbecSDK/libobsensor/include/libobsensor/hpp/Filter.hpp